## firmwarehotplug-0.1.tar.gz

=== Makefile ===
ROOT =		hotplug
PREFIX =	firmware
VERSION =	0.1
RELEASE_NAME =	$(PREFIX)$(ROOT)-$(VERSION)

SUBDIRS=ezusb

all:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR all;	\
	done

clean:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR clean;	\
	done

install:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR install;	\
	done

DISTFILES = $(shell find . \( -not -name '.' \) -print | grep -v CVS | grep -v "\.tar\.gz" | grep -v "\/\." | grep -v releases | grep -v BitKeeper | grep -v SCCS )
DISTDIR := $(RELEASE_NAME)
srcdir = .

release: $(DISTFILES) clean
	@echo $(DISTFILES)
	@-rm -rf $(DISTDIR)
	@mkdir $(DISTDIR)
	@-chmod 777 $(DISTDIR)
	@for file in $(DISTFILES); do			\
		if test -d $$file; then			\
		  	mkdir $(DISTDIR)/$$file;	\
		else					\
			cp -p $$file $(DISTDIR)/$$file;	\
		fi;					\
	done
	@tar -c $(DISTDIR) | gzip -9 > $(RELEASE_NAME).tar.gz
	@rm -rf $(DISTDIR)
	@echo "Built $(RELEASE_NAME).tar.gz"

=== ezusb/Makefile ===
SUBDIRS=midi

all:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR all;	\
	done

clean:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR clean;	\
	done

install:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR install;	\
	done

=== ezusb/midi/Makefile ===
SUBDIRS=original regression unified

all:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR all;	\
	done

clean:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR clean;	\
	done

install:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR install;	\
	done

=== ezusb/midi/original/Makefile ===
VERSION = $(shell date +%Y_%m_%d)
RELEASE_NAME =	ezusbmidi-$(VERSION)

all: ezusbmidi1x1.ihx ezusbmidi2x2.ihx ezusbmidi.html ezusbmidi.ps

ezusbmidi1x1.ihx: ezusbmidi.c ezusb_reg.h bufsync.h
	rm -rf sdcc; mkdir sdcc; cp $^ sdcc
	cd sdcc; sdcc -DCONFIG_MidiSport1x1 -I. $<; packihx ezusbmidi.ihx > ../$@

ezusbmidi2x2.ihx: ezusbmidi.c ezusb_reg.h bufsync.h
	rm -rf sdcc; mkdir sdcc; cp $^ sdcc
	cd sdcc; sdcc -DCONFIG_MidiSport2x2  -I. $<; packihx ezusbmidi.ihx > ../$@

ezusbmidi.ps: ezusbmidi.sgml descriptor.png
	sgml2latex --output=ps $<

ezusbmidi.html: ezusbmidi.sgml descriptor.png
	sgml2html $<

rpm: release
	rpm -ta $(RELEASE_NAME).tar.bz2

deb: release
	debuild binary

deb-release:
	fakeroot dpkg-buildpackage

clean:
	rm -rf sdcc
	rm -f [1-9] *.pdf *.html *.ps *.ihx *.tar.gz *.tar.bz2 ezusbmidi.spec
	rm -rf debian/ezusbmidi debian/files build-stamp configure-stamp

install:
	mkdir -p $(DESTDIR)/etc/hotplug/usb
	mkdir -p $(DESTDIR)/usr/share/usb/ezusbmidi
	install -m755 Hotplug/ezusbmidi $(DESTDIR)/etc/hotplug/usb
	install -m644 Hotplug/ezusbmidi.usermap $(DESTDIR)/etc/hotplug/usb
	install -m644 ezusbmidi1x1.ihx $(DESTDIR)/usr/share/usb/ezusbmidi
	install -m644 ezusbmidi2x2.ihx $(DESTDIR)/usr/share/usb/ezusbmidi

DISTFILES = $(shell find . \( -not -name '.' \) -print | grep -v CVS | grep -v "\.tar\.bz2" | grep -v "\.tar\.gz" | grep -v "\/\." | grep -v releases | grep -v BitKeeper | grep -v SCCS ) ezusbmidi.spec
DISTDIR=$(RELEASE_NAME)

ezusbmidi.spec: ezusbmidi.spec.in
	sed 's/TODAY/$(VERSION)/g' ezusbmidi.spec.in > ezusbmidi.spec

release: clean $(DISTFILES)
	@echo $(DISTFILES)
	@-rm -rf $(DISTDIR)
	@mkdir $(DISTDIR)
	@-chmod 777 $(DISTDIR)
	@for file in $(DISTFILES); do			\
		if test -d $$file; then			\
		  	mkdir $(DISTDIR)/$$file;	\
		else					\
			cp -p $$file $(DISTDIR)/$$file;	\
		fi;					\
	done
	@tar -c $(DISTDIR) | bzip2 -9 > $(RELEASE_NAME).tar.bz2
	@rm -rf $(DISTDIR)
	@echo "Built $(RELEASE_NAME).tar.bz2"

=== ezusb/midi/regression/Makefile ===
#
# Regression tests for usb-midi Makefile
#
CFLAGS=-Wall -g

all: testlb midimsg midispy midiraw

install:
	echo "NOT installing regression tests anywhere. (for now)"

testlb.o: testlb.c

midimsg.o: midimsg.c

midispy.o: midispy.c ansicolor.h

midiraw.o: midiraw.c

test:	programs
	$(SHELL) ./alltests.sh

loopback: programs
	$(SHELL) ./loopback.sh

instrument: programs
	$(SHELL) ./instrument.sh

clean:
	rm -f testlb midimsg midispy midiraw
	rm -f *.o
	rm -f testlog.*

=== ezusb/midi/unified/Makefile ===
CFLAGS=--model-large -I. # --stack-after-data
all: ezusbmidi.ihx

ezusbmidi.ihx: ezusbmidi.c ezusb_reg.h bufsync.h uart.c uart.h ep0.c desc.c desc.h ep0.h pipeline.c pipeline.h leds.h Makefile ezusbmidi.h
	rm -rf sdcc;\
	 mkdir sdcc;\
	 cp $^ sdcc;\
	 cd sdcc;\
	 sdcc -c $(CFLAGS) desc.c;\
	 sdcc -c $(CFLAGS) pipeline.c;\
	 sdcc -c $(CFLAGS) ep0.c;\
	 sdcc -c $(CFLAGS) uart.c;\
	 sdcc -c $(CFLAGS) ezusbmidi.c;\
	 sdcc $(CFLAGS) --xram-loc 0x2000 ezusbmidi.rel uart.rel ep0.rel pipeline.rel desc.rel;\
	 packihx ezusbmidi.ihx > ../$@

clean:
	rm -rf sdcc [1-9] ezusbmidi.ihx

install:
	echo "unified firmware not installed (for now)."

=== ezusb/midi/original/debian/changelog ===
ezusbmidi (20021027-1) unstable; urgency=low

  * Initial Release.

 -- Lars Doelle <lars.doelle@on-line.de>  Mon, 28 Oct 2002 12:44:14 +0100

=== ezusb/midi/original/debian/control ===
Source: ezusbmidi
Section: sound
Priority: optional
Maintainer: Lars Doelle <lars.doelle@on-line.de>
Build-Depends: debhelper (>> 3.0.0), sdcc
Standards-Version: 3.5.2

Package: ezusbmidi
Architecture: any
Depends: hotplug, fxload
Description: Firmware drivers for EZUSB MIDI devices
 This program is an USB-MIDI compliant firmware for the EZUSB chip
 (AN2131SC) developed to make an USB-MIDI adapter to run with Linux.
 It runs with these USB-MIDI devices:
 - Midiman Midisport 1x1
 - Midiman Midisport 2x2
 - Midiman Midisport UNO
 - Steinberg USB-2-MIDI
 Author: Lars Doelle <lars.doelle@on-line.de>

=== ezusb/midi/original/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/ezusbmidi.sgml > ezusbmidi.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ezusbmidi.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ezusbmidi


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
